%define version 1.2.10j
%define release 3mdk

%define libname_orig %mklibname %{name}
%define libname %{libname_orig}1

Name:           xmms
Summary:        xmms is a standard music player
Version:        %{version}
Release:        %{release}
Group:		Sound
License:	GPL
URL:		http://www.xmms.org/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	libgtk+1.2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	libgtk+1.2-devel

%description
xmms is a standard music player.


%package -n %{libname}
Summary:	xmms library.
Group:		Sound
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
xmms library.


%package -n %{libname}-devel
Summary:	Headers of xmms for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/aclocal/*
%{_datadir}/man/man1/*
%{_datadir}/xmms/*


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libxmms.so.*
%{_libdir}/xmms/*/*.so


%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/xmms/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/xmms/*/*.la


%changelog
* Tue May 04 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.10j-3mdk
- new version (20040415)

* Tue Mar 02 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.10j-2mdk
- new version (20040302)

* Sun Feb 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.10j-1mdk
- new version
